Ubuntu Security Notice USN-4430-2

==========================================================================
Ubuntu Security Notice USN-4430-2
July 23, 2020

pillow vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

– Ubuntu 20.04 LTS

Summary:

Pillow could be made to crash if it opened a specially crafted file.

Software Description:
– pillow: Python Imaging Library

Details:

USN-4430-1 fixed vulnerabilities in Pillow. This update provides the
corresponding updates for Ubuntu 20.04 LTS.

Original advisory details:

It was discovered that Pillow incorrectly handled certain image files. If
a user or automated system were tricked into opening a specially-crafted
image file, a remote attacker could possibly cause Pillow to crash,
resulting in a denial of service.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 20.04 LTS:
python3-pil 7.0.0-4ubuntu0.1

In general, a standard system update will make all the necessary changes.

References:
https://usn.ubuntu.com/4430-2
https://usn.ubuntu.com/4430-1
CVE-2020-10177, CVE-2020-10378, CVE-2020-10379, CVE-2020-10994,
CVE-2020-11538

Package Information:
https://launchpad.net/ubuntu/+source/pillow/7.0.0-4ubuntu0.1